Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area
Interface Viewport

All Known Implementing Classes:
  BlockViewport, InlineViewport, RegionViewport

    public interface Viewport

A viewport-area that may clip its content.

Method Summary
`java.awt.Rectangle` | `getClipRectangle()` Returns the clipping rectangle of this viewport area.
`boolean` | `hasClip()` Returns true if this area will clip overflowing content.

Method Detail

### hasClip

    boolean hasClip()

  Returns true if this area will clip overflowing content.

  Returns:
    `true` if the overflow trait has the value "hidden", "scroll" or "error-if-overflow"

### getClipRectangle

    java.awt.Rectangle getClipRectangle()

  Returns the clipping rectangle of this viewport area.

  Returns:
    the clipping rectangle expressed in the viewport's coordinate system, or null if clipping is disabled

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.